# frozen_string_literal: true

require "cht-lib-fabric/dry_types"

Application.boot(:legacy_mysql) do
  init do
    require "active_record"
    require "multidb"
    require "cht-lib-fabric/extensions/multidb"
    require "erb"
    require "yaml"
    require "ar-ondemand"
  end

  start do
    mysql_config_file = ENV["MYSQL_CONFIG_FILE"] || "./database.yml.erb"
    str = File.read(mysql_config_file)
    yml = ERB.new(str).result
    spec = YAML.load(yml)[target.env.to_s]

    ActiveRecord::Base.establish_connection spec

    ActiveRecord::LogSubscriber.send(:include, Multidb::LogSubscriber)
  end
end
